---
title: SubmitEvent.submitter
slug: Web/API/SubmitEvent/submitter
tags:
  - API
  - Forms
  - HTML
  - HTML DOM
  - Property
  - Read-only
  - Reference
  - SubmitEvent
  - submission
  - submitter
---
<p>{{APIRef("HTML DOM")}}</p>

<p>The read-only <code><strong>submitter</strong></code> property found on the {{domxref("SubmitEvent")}} interface specifies the submit button or other element that was invoked to cause the form to be submitted.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>submitter</em> = <em>submitEvent</em>.submitter;</pre>

<h3 id="Value">Value</h3>

<p>An element, indicating the element that sent the {{domxref("HTMLFormElement.submit_event", "submit")}} event to the form. While this is often an {{HTMLElement("input")}} element whose {{domxref("HTMLInputElement.type", "type")}} or a {{HTMLElement("button")}} whose {{domxref("HTMLButtonElement.type", "type")}} is <code>submit</code>, it could be some other element which has initiated a submission process.</p>

<p>If the submission was not triggered by a button of some kind, the value of <code>submitter</code> is <code>null</code>.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/en-US/docs/Web/API/SubmitEvent", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', "form-control-infrastructure.html#dom-submitevent-submitter", "SubmitEvent.submitter")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SubmitEvent.submitter")}}</p>
